import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_tags {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '排序' })
  'sort': number = undefined;
  @ApiProperty({ description: '备注' })
  'remark': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QDTO_tags extends SearchBase {
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QVO_tags extends FVO_tags {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_tags {
  @ApiProperty({ description: '标题' })
  @Rule(RuleType['string']().empty(''))
  'title': string = undefined;
  @ApiProperty({ description: '排序' })
  @Rule(RuleType['number']().empty(''))
  'sort': number = undefined;
  @ApiProperty({ description: '备注' })
  @Rule(RuleType['string']().empty(''))
  'remark': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_tags extends FVO_tags {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_tags extends CDTO_tags {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_tags extends FVO_tags {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
